HttpBasicAuthenticationFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.acegi.filters.http.HttpBasicAuthenticationFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.acegi.filters.http
Class HttpBasicAuthenticationFilter

    java.lang.Object
      org.mule.security.AbstractEndpointSecurityFilter
          org.mule.module.acegi.filters.http.HttpBasicAuthenticationFilter

All Implemented Interfaces:
  MuleContextAware, Initialisable, EndpointSecurityFilter

    public class HttpBasicAuthenticationFilter

extends AbstractEndpointSecurityFilter

`HttpBasicAuthenticationFilter` TODO

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from class org.mule.security.AbstractEndpointSecurityFilter
`endpoint, muleContext, securityManager`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`HttpBasicAuthenticationFilter()`
`HttpBasicAuthenticationFilter(String realm)`

Method Summary
`void` | `authenticateInbound(MuleEvent event)` Authenticates the current message if authenticate is set to true.
`void` | `authenticateOutbound(MuleEvent event)` Authenticates the current message if authenticate is set to true.
`protected void` | `doInitialise()`
`String` | `getRealm()`
`boolean` | `isRealmRequired()`
`void` | `setRealm(String realm)`
`void` | `setRealmRequired(boolean realmRequired)`
`protected void` | `setUnauthenticated(MuleEvent event)`

Methods inherited from class org.mule.security.AbstractEndpointSecurityFilter
`authenticate, getCredentialsAccessor, getEndpoint, getSecurityManager, getSecurityProviders, initialise, initialiseEndpoint, isAuthenticate, lazyInit, setAuthenticate, setCredentialsAccessor, setEndpoint, setMuleContext, setSecurityManager, setSecurityProviders, updatePayload`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### HttpBasicAuthenticationFilter

    public HttpBasicAuthenticationFilter()

### HttpBasicAuthenticationFilter

    public HttpBasicAuthenticationFilter(String realm)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractEndpointSecurityFilter`
  Throws:
    `InitialisationException`

### getRealm

    public String getRealm()

### setRealm

    public void setRealm(String realm)

### isRealmRequired

    public boolean isRealmRequired()

### setRealmRequired

    public void setRealmRequired(boolean realmRequired)

### authenticateInbound

    public void authenticateInbound(MuleEvent event)
                             throws SecurityException,
                                    SecurityProviderNotFoundException,
                                    UnknownAuthenticationTypeException

  Authenticates the current message if authenticate is set to true. This method will always populate the secure context in the session

  Specified by:
    `authenticateInbound` in class `AbstractEndpointSecurityFilter`
  Parameters:
    `event` - the current message recieved
  Throws:
    `SecurityException` - if authentication fails
    `SecurityProviderNotFoundException`
    `UnknownAuthenticationTypeException`

### setUnauthenticated

    protected void setUnauthenticated(MuleEvent event)

### authenticateOutbound

    public void authenticateOutbound(MuleEvent event)
                              throws SecurityException,
                                     SecurityProviderNotFoundException

  Authenticates the current message if authenticate is set to true. This method will always populate the secure context in the session

  Specified by:
    `authenticateOutbound` in class `AbstractEndpointSecurityFilter`
  Parameters:
    `event` - the current event being dispatched
  Throws:
    `SecurityException` - if authentication fails
    `SecurityProviderNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.